petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSegBufferExtractTo

extract contiguous data to provided buffer and reset segmented buffer

### Synopsis

    PetscErrorCode PetscSegBufferExtractTo(PetscSegBuffer seg,void *contig)

Not Collective

### Input Argument

| seg | - segmented buffer
| contig | - allocated buffer to hold contiguous data

### See Also

PetscSegBufferCreate(), PetscSegBufferGet(), PetscSegBufferDestroy(), PetscSegBufferExtractAlloc(), PetscSegBufferExtractInPlace()

Level:developer
Location:src/sys/utils/segbuffer.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages